Approve a pending listener request (organizer)
Organizer approves a pending request (records the decision only).
The language is applied by the frontend's own PATCH /saas/channel/`{cid}```; this endpoint just transitions the request to approved`` (idempotent).
| Path Parameters |
|---|
event_id uuid4 — REQUIRED |
request_id uuid4 — REQUIRED |
| Responses |
|---|
| Schema — OPTIONAL |
|---|
ok Ok — OPTIONALIndicates if the request was successful or not. | data objectrequest_id uuid | type Type | status StatusResulting status (approved). |
|
|
| Schema — OPTIONAL |
|---|
ok Ok — OPTIONALIndicates if the request was successful or not. | errors object[]type uriPossible values: 1 ≤ length ≤ 2083 A string containing a URI reference that identifies the problem type. | status StatusPossible values: 399 < value < 600 A number indicating the HTTP status code. | title TitlePossible values: 5 ≤ length A string containing a short, human-readable summary of the problem type. | detail DetailPossible values: 5 ≤ length A string containing a human-readable explanation specific to this occurrence of the problem. | instance InstancePossible values: 1 ≤ length A string containing a URI reference that identifies the specific occurrence of the problem. | error_code Error CodeA Number that indicates the error type that occurred. |
|
|